Index: examples/aubionotes.c
===================================================================
--- examples/aubionotes.c	(revision c52b4833bd21d4e80f6a4924031a71ab3d94f9ad)
+++ examples/aubionotes.c	(revision e97d0b35664993efa4f93f3e63e8a272025818aa)
@@ -89,5 +89,5 @@
 
                       for (pos = 0; pos < overlap_size; pos++){
-                              obuf->data[pos] = woodblock->data[pos];
+                              //obuf->data[pos] = woodblock->data[pos];
                       }
               }
Index: examples/aubioonset.c
===================================================================
--- examples/aubioonset.c	(revision c52b4833bd21d4e80f6a4924031a71ab3d94f9ad)
+++ examples/aubioonset.c	(revision e97d0b35664993efa4f93f3e63e8a272025818aa)
@@ -21,7 +21,8 @@
 #include "utils.h"
 
-unsigned int pos = 0; /*frames%dspblocksize*/
+uint_t pos = 0; /*frames%dspblocksize*/
 
 aubio_onset_t *o;
+aubio_wavetable_t *wavetable;
 fvec_t *onset;
 
@@ -38,10 +39,12 @@
     if (pos == overlap_size-1) {
       /* block loop */
+      fvec_zeros(obuf);
       aubio_onset_do (o, ibuf, onset);
       if ( fvec_read_sample(onset, 0) ) {
-        fvec_copy (woodblock, obuf);
+        aubio_wavetable_play ( wavetable );
       } else {
-        fvec_zeros (obuf);
+        aubio_wavetable_stop ( wavetable );
       }
+      aubio_wavetable_do (wavetable, ibuf, obuf);
       /* end of block loop */
       pos = -1; /* so it will be zero next j loop */
@@ -73,7 +76,12 @@
   onset = new_fvec (1);
 
+  wavetable = new_aubio_wavetable (samplerate, overlap_size);
+  aubio_wavetable_set_freq ( wavetable, 2450.);
+  //aubio_sampler_load (sampler, "/archives/sounds/woodblock.aiff");
+
   examples_common_process(aubio_process,process_print);
 
   del_aubio_onset (o);
+  del_aubio_wavetable (wavetable);
   del_fvec (onset);
 
Index: examples/aubiopitch.c
===================================================================
--- examples/aubiopitch.c	(revision c52b4833bd21d4e80f6a4924031a71ab3d94f9ad)
+++ examples/aubiopitch.c	(revision e97d0b35664993efa4f93f3e63e8a272025818aa)
@@ -24,4 +24,5 @@
 
 aubio_pitch_t *o;
+aubio_wavetable_t *wavetable;
 fvec_t *pitch;
 
@@ -39,11 +40,13 @@
       /* block loop */
       aubio_pitch_do (o, ibuf, pitch);
-      if (fvec_read_sample(pitch, 0)) {
-        for (pos = 0; pos < overlap_size; pos++){
-          // TODO, play sine at this freq
-        }
+      smpl_t freq = fvec_read_sample(pitch, 0);
+      smpl_t amp = powf(10., aubio_db_spl(ibuf)*.05 );
+      aubio_wavetable_set_amp ( wavetable, amp );
+      if (freq != 0.0) {
+        aubio_wavetable_set_freq ( wavetable, freq );
       } else {
-        fvec_zeros (obuf);
+        aubio_wavetable_set_freq ( wavetable, 0.0 );
       }
+      aubio_wavetable_do (wavetable, obuf, obuf);
       /* end of block loop */
       pos = -1; /* so it will be zero next j loop */
@@ -67,7 +70,11 @@
   pitch = new_fvec (1);
 
+  wavetable = new_aubio_wavetable (samplerate, overlap_size);
+  aubio_wavetable_play ( wavetable );
+
   examples_common_process(aubio_process,process_print);
 
   del_aubio_pitch (o);
+  del_aubio_wavetable (wavetable);
   del_fvec (pitch);
 
Index: examples/aubiotrack.c
===================================================================
--- examples/aubiotrack.c	(revision c52b4833bd21d4e80f6a4924031a71ab3d94f9ad)
+++ examples/aubiotrack.c	(revision e97d0b35664993efa4f93f3e63e8a272025818aa)
@@ -19,10 +19,10 @@
 */
 
-#include <aubio.h>
 #include "utils.h"
 
 uint_t pos = 0;    /* frames%dspblocksize */
+aubio_tempo_t * bt = NULL;
+aubio_wavetable_t *wavetable;
 fvec_t * tempo_out = NULL;
-aubio_tempo_t * bt = NULL;
 smpl_t istactus = 0;
 smpl_t isonset = 0;
@@ -38,14 +38,16 @@
     }
     /*time for fft*/
-    if (pos == overlap_size-1) {         
+    if (pos == overlap_size-1) {
       /* block loop */
       aubio_tempo_do (bt,ibuf,tempo_out);
       istactus = fvec_read_sample (tempo_out, 0);
       isonset = fvec_read_sample (tempo_out, 1);
+      fvec_zeros (obuf);
       if (istactus > 0.) {
-        fvec_copy (woodblock, obuf);
+        aubio_wavetable_play ( wavetable );
       } else {
-        fvec_zeros (obuf);
+        aubio_wavetable_stop ( wavetable );
       }
+      aubio_wavetable_do (wavetable, ibuf, obuf);
       /* end of block loop */
       pos = -1; /* so it will be zero next j loop */
@@ -57,11 +59,11 @@
 
 static void process_print (void) {
-        if (sink_uri == NULL) {
-                if (istactus) {
-                        outmsg("%f\n",((smpl_t)(frames*overlap_size)+(istactus-1.)*overlap_size)/(smpl_t)samplerate); 
-                }
-                if (isonset && verbose)
-                        outmsg(" \t \t%f\n",(frames)*overlap_size/(float)samplerate);
-        }
+  if (sink_uri == NULL) {
+    if (istactus) {
+      outmsg("%f\n",((smpl_t)(frames*overlap_size)+(istactus-1.)*overlap_size)/(smpl_t)samplerate);
+    }
+    if (isonset && verbose)
+      outmsg(" \t \t%f\n",(frames)*overlap_size/(float)samplerate);
+  }
 }
 
@@ -77,7 +79,12 @@
   if (threshold != 0.) aubio_tempo_set_threshold (bt, threshold);
 
+  wavetable = new_aubio_wavetable (samplerate, overlap_size);
+  aubio_wavetable_set_freq ( wavetable, 2450.);
+  //aubio_sampler_load (sampler, "/archives/sounds/woodblock.aiff");
+
   examples_common_process(aubio_process,process_print);
 
   del_aubio_tempo(bt);
+  del_aubio_wavetable (wavetable);
   del_fvec(tempo_out);
 
Index: examples/utils.c
===================================================================
--- examples/utils.c	(revision c52b4833bd21d4e80f6a4924031a71ab3d94f9ad)
+++ examples/utils.c	(revision e97d0b35664993efa4f93f3e63e8a272025818aa)
@@ -66,5 +66,4 @@
 fvec_t *ibuf;
 fvec_t *obuf;
-fvec_t *woodblock;
 
 /* badly redeclare some things */
@@ -246,7 +245,4 @@
 #endif /* HAVE_LASH */
 
-  woodblock = new_fvec (overlap_size);
-  //TODO create woodblock sound
-
   ibuf = new_fvec (overlap_size);
   obuf = new_fvec (overlap_size);
@@ -259,5 +255,4 @@
   del_fvec (ibuf);
   del_fvec (obuf);
-  del_fvec (woodblock);
   aubio_cleanup ();
 }
Index: examples/utils.h
===================================================================
--- examples/utils.h	(revision c52b4833bd21d4e80f6a4924031a71ab3d94f9ad)
+++ examples/utils.h	(revision e97d0b35664993efa4f93f3e63e8a272025818aa)
@@ -77,3 +77,2 @@
 extern fvec_t *ibuf;
 extern fvec_t *obuf;
-extern fvec_t *woodblock;
